# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# ListProgress Class Reference

List view in the UIServer. More...

`#include <uiserver.h>`

Inheritance diagram for ListProgress:

[legend]
Collaboration diagram for ListProgress:

[legend]
List of all members.

## Public Types

enum | ListProgressFields { TB_OPERATION = 0, TB_LOCAL_FILENAME = 1, TB_RESUME = 2, TB_COUNT = 3, TB_PROGRESS = 4, TB_TOTAL = 5, TB_SPEED = 6, TB_REMAINING_TIME = 7, TB_ADDRESS = 8 }
| Field constants. More...

## Public Member Functions

| ListProgress (QWidget *parent=0, const char *name=0)

## Protected Member Functions

void | readConfig ()
void | writeConfig ()

## Protected Attributes

int | lv_operation
int | lv_filename
int | lv_resume
int | lv_count
int | lv_progress
int | lv_size
int | lv_speed
int | lv_remaining
int | lv_url

## Friends

class | ProgressItem

## Detailed Description

List view in the UIServer.

Definition at line 134 of file uiserver.h.

## Member Enumeration Documentation

enum ListProgress::ListProgressFields

| Field constants. Definition at line 147 of file uiserver.h.

The documentation for this class was generated from the following files:

- uiserver.h
- uiserver.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:03 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001